GET
/integrations/{Integration_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/integrations/{Integration_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/integrations/{Integration_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/integrations/{Integration_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Integration_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successfully retrieved a new integration
Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
integration_type
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
project_id
integer
integration_details
object
key
additional properties
any
errors
object
Example
{ "code": 201, "message": "Created Successfully", "data": { "id": 421, "name": "fakeff", "integration_type": "hugging_face", "created_by": { "id": 3573, "name": "Nipun", "email": "nipun.arora@e2enetworks.com", "username": "nipun.arora@e2enetworks.com" }, "created_at": "2024-11-14T07:20:43.119393Z", "updated_at": "2024-11-14T07:20:43.119459Z", "project_id": 124, "integration_details": {} }, "errors": {}}